Subject: Re: bug#64605: HandBrake 1.5.1 hangs on startup due libQt5Qml

From: Distopico <[email-masked]>
Date: Thu, 20 Jul 2023 15:25:10 -0500

On 2023-07-20, Maxim Cournoyer <[email-masked]> wrote:

> Hello,
>
> Distopico <[email-masked]> writes:
>
>> On 2023-07-20, Maxim Cournoyer <[email-masked]> wrote:
>>
>>> This looks like an upstream Qt problem.  Have you searched if an issue
>>> was known about it?  Their tracker is at https://bugreports.qt.io/.
>>
>> Checking there looks like is already reported a similar issue
>> https://bugreports.qt.io/browse/QTBUG-58508, I think that happens in
>> Guix/Nix becase QT is trying to write inside the profile path 
>
> It looks like we should apply this patch to completely disable QML disk
> cache in Qt: https://github.com/NixOS/nixpkgs/pull/197010.

yes, I was thinking on that, maybe inside [profile]/etc/profile